{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.05";
    idyllsPkgs = {
      url = "path:./pkgs";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    nixpkgsUnstable.url = "github:NixOS/nixpkgs/nixos-unstable";
    atuinRepo = {
      url = "github:ellie/atuin";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    mozilla.url = "github:mozilla/nixpkgs-mozilla";
  };

  outputs = inputs:
    let mkhost = import ./machines/mkhost.nix;
        mkhost' = name: args: mkhost inputs name args;
    in {
      nixosConfigurations.hera = mkhost' "hera" {
        system = "x86_64-linux";
        user = "idylls";
      };

      nixosConfigurations.selene = mkhost' "selene" {
        system = "x86_64-linux";
        user = "null";
      };
  };
}
