inputs: name: { user, system }:

let inherit (inputs) nixpkgs idyllsPkgs nixpkgsUnstable atuinRepo mozilla;
    pkgs = import nixpkgs {
      inherit system;
      config.allowUnfree = true;
    };
    unstablePkgs = nixpkgsUnstable.legacyPackages.${system};
    idyllsPkgs' = idyllsPkgs.packages.${system};
    atuinPkgs = atuinRepo.packages.${system};
    mozillaPkgs = pkgs.extend mozilla.overlays.firefox;
in nixpkgs.lib.nixosSystem {
  modules = [
    ./${name}/configuration.nix

    ./../users/${user}/configuration.nix

    {
      config._module.args = {
        inherit unstablePkgs atuinPkgs mozillaPkgs;
        idyllsPkgs = idyllsPkgs';

        pkgs = nixpkgs.lib.mkForce pkgs;

        currentSystem = system;
        currentSystemName = name;
      };
    }
  ];
}
