{ fetchFromGitHub, buildRustPlatform, pkg-config, glib, gtk3, gcc, lib, ... }:

let pname = "eww";
    version = "25e50eda";
    src = fetchFromGitHub {
      owner = "elkowar";
      repo = pname;
      rev = version;
      hash = "sha256-8e6gHSg6FDp6nU5v89D44Tqb1lR5aQpS0lXOVqzoUS4=";
    };

    rustPlatform = buildRustPlatform {
      channel = "nightly";
      date = "2022-08-27";
      sha256 = "sha256-2ScxT2W4bH3TwXImNaGSJi+EajTYYkaeU5nBhYMYac4=";
    };
in rustPlatform.buildRustPackage {
  inherit pname version src;

  cargoHash = "sha256-IWdMXPxTh5MCcd1THTrR37O2EckbN92mtB69TOnTGY8=";
  buildNoDefaultFeatures = true;
  buildFeatures = [ "x11" ];

  patches = [ ./fix_battery_capacity.patch ];
  nativeBuildInputs = [ pkg-config ];
  buildInputs = [ glib.dev gtk3.dev gcc ];

  meta = with lib; {
    description =  "ElKowars wacky widgets";
    homepage = "https://github.com/elkowar/eww";
    license = licenses.mit;
  };
}
