{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.05";
    mozilla.url = "github:mozilla/nixpkgs-mozilla/3a44b87";
    flake-utils.url = "github:numtide/flake-utils/dbabf0c";
    nixpkgsDevel.url = "github:NixOS/nixpkgs/e689069";
  };

  outputs = { self, flake-utils, nixpkgs, mozilla, nixpkgsDevel }:
    let mkPackages = (import ./packages.nix) {
          inherit nixpkgs nixpkgsDevel;
          rustOverlay = mozilla.overlays.rust;
        };
        systems = [ "x86_64-linux" ];
    in flake-utils.lib.eachSystem systems (system: {
      packages = mkPackages system;
    });
}
