{ nixpkgs, rustOverlay, nixpkgsDevel }: system:

let pkgs = nixpkgs.legacyPackages.${system};
    develPkgs = nixpkgsDevel.legacyPackages.${system};
    rustPkgs = rustOverlay pkgs pkgs;
    buildRustPlatform = (import ./utils.nix).buildRustPlatform {
      inherit (rustPkgs) rustChannelOf;
      inherit (pkgs) makeRustPlatform;
    };
in {
  eww = pkgs.callPackage ./eww { inherit buildRustPlatform; };
  emacs = pkgs.callPackage (import ./emacs { inherit (pkgs) emacs; }) {};
  neovim = pkgs.callPackage ./neovim {};
  runelite = pkgs.callPackage ./runelite { inherit (develPkgs) maven; };
}
