{ maven
, fetchFromGitHub
, lib
, stdenv
, makeWrapper
, jre
, libnotify
}:

let version = "c8914e7"; # Keep these in sync
    runeliteVersion = "1.10.8";
    pluginHubVersion = "1.10.7";
    src = fetchFromGitHub {
      owner = "runelite";
      repo = "runelite";
      rev = version;
      hash = "sha256-gfyJEXMYpnJosYuR5kxDIUomtKDbIT0cd0lWeh8i9CQ=";
    };
in maven.buildMavenPackage rec {
  inherit src version;

  pname = "runelite";

  buildInputs = [ maven makeWrapper ];
  mvnParameters = "-DskipTests=true";
  mvnHash = "sha256-fMQsbreRucEzZ4aYhHnjdKt+yTUwaEuUX3GWB22fp18=";
  patches = [ ./my-hacks.patch ];

  postPatch = ''
    sed -i \
      -e 's/runelite.pluginhub.version=.*/runelite.pluginhub.version=${pluginHubVersion}/'\
      runelite-client/src/main/resources/net/runelite/client/runelite.properties
  '';
  installPhase = ''
    mkdir -p "$out/bin" "$out/share/java"

    cp \
      "runelite-client/target/client-${runeliteVersion}-SNAPSHOT-shaded.jar" \
      "$out/share/java/runelite.jar"

    makeWrapper "${jre}/bin/java" "$out/bin/runelite" \
      --add-flags "-jar '$out/share/java/runelite.jar'" \
      --prefix PATH : "${lib.makeBinPath [ libnotify ]}"
  '';
}
